Start a Discord import (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
POST /discord/{caseId}/import

Creates an import job for an uploaded Discord data export file, marks the case's Discord data source as pending, and queues the import. Returns 400 if the file was already imported successfully, and 404 if the file or extraction code is not found. Not available to opposing counsel.

Path parameters

  • caseId string Required
application/json

Body Required

  • fileId string Required

    UserFile ID of the uploaded zip

  • extractionCode string

    Extraction code string (optional)

Responses

  • 201 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • case object | null Required

        Not loaded by any route, so always null.

      • extractionCode object | null Required

        Not loaded by any route, so always null.

      • file object | null Required

        Not loaded by any route, so always null.

      • createdBy object | null Required

        Not loaded by any route, so always null.

      • status string Required

        Values are not_started, in_progress, completed, or failed.

      • startedAt string(date-time) | null Required
      • completedAt string(date-time) | null Required
      • failedAt string(date-time) | null Required
      • message string | null Required
      • discordUserProvider object | null Required

        Not loaded by any route, so always null.

      • stats object | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
POST /discord/{caseId}/import
curl \
 --request POST 'http://api.example.com/discord/{caseId}/import' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{
  "fileId": "string",
  "extractionCode": "string"
}'
Request examples
{
  "fileId": "string",
  "extractionCode": "string"
}
Response examples (201)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "case": {},
    "extractionCode": {},
    "file": {},
    "createdBy": {},
    "status": "not_started",
    "startedAt": "2026-01-15T14:25:00.000Z",
    "completedAt": "2026-01-15T14:30:00.000Z",
    "failedAt": "2026-05-04T09:42:00Z",
    "message": "Discord export is missing the messages folder",
    "discordUserProvider": {},
    "stats": {
      "conversations": 12,
      "messages": 3480,
      "activities": 250,
      "tickets": 1
    }
  },
  "statusCode": 201,
  "timestamp": "2026-01-15T10:15:00.000Z"
}